Solid Edge Part Type Library
GetBaseStyle Method
Member of PartBaseStylesConstants that specifies the base style for the referenced object.
Specifies base style characteristics, such as color and lighting, for the referenced object.
Description
Returns the base style.
Syntax
Visual Basic
Public Sub GetBaseStyle( _
   ByVal BaseStyleType As PartBaseStylesConstants, _
   ByRef BaseStyle As FaceStyle _
) 
Parameters
BaseStyleType
ValueDescription
seConstructionBaseStyleControls the default style of construction.
seCurveBaseStyleControls the default style of part level curves.
sePartBaseStyleControls the default style of part.
seThreadedCylindersBaseStyleControls the default style of threaded cylinder.
Member of PartBaseStylesConstants that specifies the base style for the referenced object.
BaseStyle
Specifies base style characteristics, such as color and lighting, for the referenced object.
Example
Imports System.Runtime.InteropServices

Public Class Form1

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim objSEApp As SolidEdgeFramework.Application = Nothing
        Dim objPartDoc As SolidEdgePart.PartDocument = Nothing
        Dim objBaseStyle As SolidEdgeFramework.FaceStyle = Nothing

        Try
            'Get Solid Edge application object
            objSEApp = Marshal.GetActiveObject("SolidEdge.Application")
            'Get part document
            objPartDoc = objSEApp.ActiveDocument
            objPartDoc.GetBaseStyle(SolidEdgePart.PartBaseStylesConstants.seThreadedCylindersBaseStyle, objBaseStyle)
            MsgBox(objBaseStyle.StyleName)

        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try

    End Sub
End Class
See Also

PartDocument Object  | PartDocument Members